Skip to main content
GET
Search and list posts

Authorizations

X-RP-API-Key
string
header
required

Headers

Accept-Language
string

Supported response locales: ko, en, ja, zh-CN, zh-TW, es, fr, de, pt, th, vi. Default is ko.

Example:

"ko"

Query Parameters

keyword
string

Body keyword

Maximum string length: 100
companyId
string

Company handle to search

Maximum string length: 255
Pattern: ^[A-Za-z0-9_-]+$
hasImages
boolean

Only posts with images

hasOg
boolean

Only posts with Open Graph data

postedAfter
string

Posted at >= (ISO datetime)

postedBefore
string

Posted at <= (ISO datetime)

page
integer<int32>

Page number to retrieve (starts at 1, default 1)

Required range: x >= 1
pageSize
integer<int32>

Page size (1-50, default 20)

Required range: 1 <= x <= 50
sort
enum<string>

Sort order (RELEVANCE: relevance, default; RECENT: newest)

Available options:
RELEVANCE,
RECENT

Response

OK

Paginated response. page starts at 1. If page > totalPages, items is an empty array.

totalItems
integer<int64>
required

Total item count

totalPages
integer<int32>
required

Total page count

page
integer<int32>
required

Current page number (starts at 1)

pageSize
integer<int32>
required

Page size

items
object[]
required

Items on the current page